#108862 Report by node travis-ci covering 1959 tests from 48 modules resulted into 1 error

Report

ObsPy Version
1.2.0rc5.post0+9.gc9f55110f7
Continuous Integration
https://travis-ci.org/obspy/obspy/jobs/650081065
GitHub Pull Request
https://github.com/obspy/obspy/pull/2555
Report File
XML Document
Total Runtime
387.9 sec
Report Date/Time
2020-02-13 12:40:43

System / Python

Architecture
64bit
Machine
x86_64
Node
travis-ci
Processor
i386
Python Compiler
Clang 9.0.1
Python Implementation
CPython
Python Version
3.7.6
Release
17.7.0
System
Darwin
Version
Darwin Kernel Version 17.7.0: Thu Jun 21 22:53:14 PDT 2018; root:xnu-4570.71.2~1/RELEASE_X86_64

Dependencies

cartopy
---
decorator
4.4.1
flake8
---
future
0.18.2
geographiclib
1.50
lxml.etree
4.5.0
m2crypto
---
matplotlib
3.1.3
mock
3.0.5
mpl_toolkits.basemap
1.2.1
numpy
1.18.1
pep8-naming
---
pyflakes
---
pyimgur
0.5.2
pyproj
1.9.6
requests
2.22.0
scipy
1.4.1
setuptools
45.2.0.post20200209
shapefile
2.1.0
sqlalchemy
1.3.13

Modules (48)

Module Errors /
Failures
Tracebacks
obspy.clients.arclink Not tested -
obspy.clients.earthworm Not tested -
obspy.clients.fdsn Not tested -
obspy.clients.filesystem - -
obspy.clients.iris Not tested -
obspy.clients.neic Not tested -
obspy.clients.nrl Not tested -
obspy.clients.seedlink Not tested -
obspy.clients.seishub Not tested -
obspy.clients.syngine Not tested -
obspy.core - -
obspy.db - -
obspy.geodetics - -
obspy.imaging - -
obspy.io.ah - -
obspy.io.arclink - -
obspy.io.ascii - -
obspy.io.cmtsolution - -
obspy.io.cnv - -
obspy.io.css - -
obspy.io.dmx - -
obspy.io.focmec - -
obspy.io.gcf - -
obspy.io.gse2 - -
obspy.io.iaspei - -
obspy.io.json - -
obspy.io.kinemetrics - -
obspy.io.kml - -
obspy.io.mseed - -
obspy.io.ndk - -
obspy.io.nied - -
obspy.io.nlloc - -
obspy.io.nordic - -
obspy.io.pdas - -
obspy.io.pde - -
obspy.io.quakeml - -
obspy.io.reftek - -
obspy.io.rg16 - -
obspy.io.sac - -
obspy.io.scardec - -
obspy.io.seg2 - -
obspy.io.segy - -
obspy.io.seisan - -
obspy.io.seiscomp - -
obspy.io.sh - -
obspy.io.shapefile - -
obspy.io.stationtxt - -
obspy.io.stationxml - -
obspy.io.wav - -
obspy.io.win - -
obspy.io.xseed - -
obspy.io.y - -
obspy.io.zmap - -
obspy.realtime - -
obspy.scripts - -
obspy.signal 1 1
obspy.taup - -
Summary 1 1

Tracebacks (1)

Traceback (most recent call last):
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/doctest.py", line 2196, in runTest
raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for obspy.signal.tf_misfit.plot_tfr
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/signal/tf_misfit.py", line 1392, in plot_tfr
----------------------------------------------------------------------
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/signal/tf_misfit.py", line 1433, in obspy.signal.tf_misfit.plot_tfr
Failed example:
tr = read("https://examples.obspy.org/a02i.2008.240.mseed")[0]
Exception raised:
Traceback (most recent call last):
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/urllib3/connection.py", line 157, in _new_conn
(self._dns_host, self.port), self.timeout, **extra_kw
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/urllib3/util/connection.py", line 61, in create_connection
for res in socket.getaddrinfo(host, port, family, socket.SOCK_STREAM):
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/socket.py", line 752, in getaddrinfo
for res in _socket.getaddrinfo(host, port, family, type, proto, flags):
socket.gaierror: [Errno 8] nodename nor servname provided, or not known
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/urllib3/connectionpool.py", line 672, in urlopen
chunked=chunked,
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/urllib3/connectionpool.py", line 376, in _make_request
self._validate_conn(conn)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/urllib3/connectionpool.py", line 994, in _validate_conn
conn.connect()
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/urllib3/connection.py", line 334, in connect
conn = self._new_conn()
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/urllib3/connection.py", line 169, in _new_conn
self, "Failed to establish a new connection: %s" % e
urllib3.exceptions.NewConnectionError: <urllib3.connection.VerifiedHTTPSConnection object at 0x11f644850>: Failed to establish a new connection: [Errno 8] nodename nor servname provided, or not known
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/requests/adapters.py", line 449, in send
timeout=timeout
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/urllib3/connectionpool.py", line 720, in urlopen
method, url, error=e, _pool=self, _stacktrace=sys.exc_info()[2]
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/urllib3/util/retry.py", line 436, in increment
raise MaxRetryError(_pool, url, error or ResponseError(cause))
urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host='examples.obspy.org', port=443): Max retries exceeded with url: /a02i.2008.240.mseed (Caused by NewConnectionError('<urllib3.connection.VerifiedHTTPSConnection object at 0x11f644850>: Failed to establish a new connection: [Errno 8] nodename nor servname provided, or not known'))
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/doctest.py", line 1329, in __run
compileflags, 1), test.globs)
File "<doctest obspy.signal.tf_misfit.plot_tfr[1]>", line 1, in <module>
tr = read("https://examples.obspy.org/a02i.2008.240.mseed")[0]
File "</Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/decorator.py:decorator-gen-31>", line 2, in read
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/util/decorator.py", line 300, in _map_example_filename
return func(*args, **kwargs)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/stream.py", line 212, in read
st = _generic_reader(pathname_or_url, _read, **kwargs)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/util/base.py", line 687, in _generic_reader
download_to_file(url=pathname_or_url, filename_or_buffer=fh)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/obspy/core/util/base.py", line 641, in download_to_file
r = requests.get(url, stream=True)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/requests/api.py", line 75, in get
return request('get', url, params=params, **kwargs)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/requests/api.py", line 60, in request
return session.request(method=method, url=url, **kwargs)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/requests/sessions.py", line 533, in request
resp = self.send(prep, **send_kwargs)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/requests/sessions.py", line 646, in send
r = adapter.send(request, **kwargs)
File "/Users/travis/miniconda/envs/test-environment/lib/python3.7/site-packages/requests/adapters.py", line 516, in send
raise ConnectionError(e, request=request)
requests.exceptions.ConnectionError: HTTPSConnectionPool(host='examples.obspy.org', port=443): Max retries exceeded with url: /a02i.2008.240.mseed (Caused by NewConnectionError('<urllib3.connection.VerifiedHTTPSConnection object at 0x11f644850>: Failed to establish a new connection: [Errno 8] nodename nor servname provided, or not known'))

Skipped Tests (25)

Submodule Test Skip Message
core test_flake8 (obspy.core.tests.test_code_formatting.CodeFormattingTestCase) Formatting tests require at least flake8 3.0.
core test_catalog_plot_global (obspy.core.tests.test_event.CatalogBasemapTestCase) matplotlib 3.0.1 is not campatible with basemap
core test_catalog_plot_local (obspy.core.tests.test_event.CatalogBasemapTestCase) matplotlib 3.0.1 is not campatible with basemap
core test_catalog_plot_ortho (obspy.core.tests.test_event.CatalogBasemapTestCase) matplotlib 3.0.1 is not campatible with basemap
core test_catalog_plot_ortho_longitude_wrap (obspy.core.tests.test_event.CatalogBasemapTestCase) matplotlib 3.0.1 is not campatible with basemap
core test_plot_catalog_before_1900 (obspy.core.tests.test_event.CatalogBasemapTestCase) matplotlib 3.0.1 is not campatible with basemap
core test_catalog_plot_global (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_local (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_ortho (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_ortho_longitude_wrap (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_plot_farfield_without_quiver_with_maps (obspy.core.tests.test_event.EventTestCase) matplotlib 3.0.1 is not campatible with basemap
core test_combined_station_event_plot (obspy.core.tests.test_inventory.InventoryBasemapTestCase) matplotlib 3.0.1 is not compatible with basemap
core test_location_plot_global (obspy.core.tests.test_inventory.InventoryBasemapTestCase) matplotlib 3.0.1 is not compatible with basemap
core test_location_plot_local (obspy.core.tests.test_inventory.InventoryBasemapTestCase) matplotlib 3.0.1 is not compatible with basemap
core test_location_plot_ortho (obspy.core.tests.test_inventory.InventoryBasemapTestCase) matplotlib 3.0.1 is not compatible with basemap
core test_location_plot_global (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_local (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_ortho (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_global (obspy.core.tests.test_network.NetworkBasemapTestCase) unsupported proj4 library
core test_location_plot_global (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
core test_location_plot_local (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
core test_location_plot_ortho (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
geodetics test_gps_2_dist_azimuth_bug150 (obspy.geodetics.tests.test_util_geodetics.UtilGeodeticsTestCase) Module geographiclib is installed, not using calc_vincenty_inverse
imaging test_script_plot (obspy.imaging.tests.test_mopad_script.MopadTestCase) Currently broken until further review.
signal test_ppsd_spectrogram_plot (obspy.signal.tests.test_spectral_estimation.PsdTestCase) matplotlib >= 3 shifts labels

Slowest Tests (20)

Runtime Test
19.761s test_response_calculation_from_seed_and_xseed (obspy.io.xseed.tests.test_core.CoreTestCase)
17.216s __init__ (obspy.taup)
12.182s test_shoot_existing_ray_param (obspy.taup.tests.test_seismic_phase.TauPySeismicPhaseTestCase)
11.144s test_ppsd_restricted_stacks (obspy.signal.tests.test_spectral_estimation.PsdTestCase)
9.322s test_plot_multiple_traces (obspy.imaging.tests.test_waveform.WaveformTestCase)
7.968s plot_travel_times (obspy.taup.tau)
6.936s test_regional_models (obspy.taup.tests.test_tau.TauPyModelTestCase)
6.865s test_vs_java_iasp91 (obspy.taup.tests.test_tau.TauPyModelTestCase)
6.200s test_polarization_vidale (obspy.signal.tests.test_polarization.PolarizationTestCase)
5.961s test_relcal_different_overlaps (obspy.signal.tests.test_calibration.CalibrationTestCase)
5.532s test_remove_response_plot (obspy.core.tests.test_trace.TraceTestCase)
4.976s test_many_identically_named_phases (obspy.taup.tests.test_seismic_phase.TauPySeismicPhaseTestCase)
4.714s test_correlate_stream_template_and_correlation_detector (obspy.signal.tests.test_cross_correlation.CrossCorrelationTestCase)
4.456s test_auto_read_arclink_xml (obspy.io.arclink.tests.test_inventory_xml.ArclinkInventoryTestCase)
3.917s test_rotate2zne_against_lqt_different_combinations (obspy.signal.tests.test_rotate.RotateTestCase)
3.735s test_compute_ray_paths (obspy.taup.tests.test_ray_paths.RayPathCalculationsTestCase)
3.355s test_plot_travel_times_convenience (obspy.taup.tests.test_plotting.TauPyPlottingTestCase)
3.106s test_surface_wave_ttimes (obspy.taup.tests.test_tau.TauPyModelTestCase)
3.027s __init__ (obspy.taup.tau.TauPyModel)
2.979s test_path_geo (obspy.taup.tests.test_taup_geo.TaupGeoTestCase)

Chuck Norris Fact

If Chuck Norris writes code with bugs, the bugs fix themselves.